/** Add css rules here for your application. */

/*
#
#  Copyright 2007-2015 Hewlett-Packard Development Company, L.P.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, softwaref
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#


*/

.syntacticItemLabel {
	padding-right: 0.5em;	
	color: #337bc4;
}

.syntacticItemLabel-VariableDeclarationOn {
	background-color: PaleGreen;
}

.syntacticItemLabel-VariableDeclarationOnAndMouseOver {
	background-color: Green;
	color: white;
}

.syntacticItemLabel-VariableDeclarationBorder { 
	border: thin;
	border-color: blue;
	border-style: dashed;
}

.syntacticItemLabel-VariableDeclarationBorderAndMouseOver { 
	border: thin;
	border-color: blue;
	background-color: blue;
	color: white;
	border-style: solid;
}

.syntacticItemLabel-VariableDeclarationHighlighted { 
	border: thin;
	border-color: blue;
	background-color: #B0E2FF;
	border-style: solid;
}

.syntacticItemLabel-VariableDeclarationHighlightedClicked { 
	border: thin;
	border-color: blue;
	background-color: blue;
	color: white;
	border-style: solid;
}

.syntacticItemLabel-VariableReferenceBorder { 
	border: thin;
	border-color: #FF2400;
	border-style: dashed;
}

.syntacticItemLabel-VariableReferenceBorderAndMouseOver { 
	border: thin;
	border-color: #FF2400;
	background-color: #FF2400;
	color: white;
	border-style: solid;
}

.syntacticItemLabel-VariableReferenceHighlighted { 
	border: thin;
	border-color: #FF2400;
	background-color: orange;
	border-style: solid;
}

.syntacticItemLabel-VariableReferenceHighlightedClicked { 
	border: thin;
	border-color: #FF2400;
	background-color: #FF2400;
	color: white;
	border-style: solid;
}

.statementMoving {
	background-color: yellow;
}

.toolbarStyle {
	position: fixed; 
	top: 1em; 
	right: 1em; 
	border: solid; 
	border-color: blue; 
	filter:alpha(opacity=100); 
   	-moz-opacity: 1.0; 
   	opacity: 1.0; 
}

/** Example rules used by the template application (remove for your app) */
h1 {
    font-size: 4em;
    font-weight: normal;
    color: #ffffff;
    margin: 0px 0px 0px 0px;
    text-align: center;
    padding-top: 0.5em;
    padding-left: 9em;
    font: normal normal 60px Georgia, Utopia, "Palatino Linotype", Palatino, serif;
    padding-bottom: 1em;
   /*  background: rgba(96,160,234,.3); */
}

.mybody {
    background: url("background.jpg") no-repeat fixed;
    background-size: cover;
}

/* .myheader{
	background: rgba(96,160,234,.3);
}
 */
.sendButton {
  display: block;
  font-size: 16pt;
}

/** Most GWT widgets already have a style name defined */
.gwt-DialogBox {
  width: 400px;
}

.dialogVPanel {
  margin: 5px;
}

.serverResponseLabelError {
  color: red;
}

/** Set ids using widget.getElement().setId("idOfElement") */
#closeButton {
  margin: 15px 6px 6px;
}

.gwt-Label {
    padding: 3px;
    text-align: left;
    color: #337bc4;
    margin: 5px;
    font-weight: bold;
    font-size: 15px;
    font-family: Open Sans, sans-serif;
}


.normalFont {
    font-size: 100%;
    font-weight: normal;
    color: #337bc4;
    padding: 5px;
    margin: 5px;
    font-family: Open Sans, sans-serif;
    font-size: 15px;
}

.listBox{ 
   font-size: 100%; 
   padding:5px;
   margin:5px;
}
.demo-PopUpPanel-message{
	 font-size              :    80%;
    padding                :    15px;
    background-color: green;
	
}

.demo-popup{
    background-color       :    #ffc;
    border                 :    3px solid #009;
}

.header{
	height:50px;
    width:960px;
    margin:0px auto;	
    text-align: left;

}
 
.logo{
	top: 3px;
    text-align: right;
    /* right: 0em;*/
    float: left;
    display: block;   
}

.download {
    text-align: right;
    right: 0em;
    float: right;
    display: block;
    margin-top: 8em;
}

.footer {
    text-align: center;
    font-size: 70%;
}
.version{
    text-align: center;
    font-size: 70%;
}
.copyright {
    text-align: center;
    font-size: 70%;
    /* background-color: #98c0cb; */
    clear: both;
    text-align: center;
    padding: 7px;
    margin-top: 10em;
    color: black;
}

.dialogContent {
    text-align: left;
    font-size: 100%;
    color: #337bc4;
    white-space: pre-wrap;
    word-wrap: break-word;
}

.backDialogContent{
    text-align: left;
    font-size: 100%;
    color: black;
    White-space: pre-wrap;
    word-wrap: break-word;
}
.scrollContent{
    height: 40em;
    width: 40em;
}

.clearText{
	border: 0em;
	margin: 1em;
	
}
.partiesLabel{ 
   font-size: 100%; 
   font-weight: bold;
   color:#337bc4;
   padding:1em;
   margin-right:7em;
}
.gwt-ListBox { 
	 margin-legt:0em;
	 margin-right: 1em;
}
.policyTitle{
	color: #337bc4;
	font-family: 'Helvetica Neue', sans-serif;
	font-size: 20px;
	font-weight: 100;
	line-height: 50px;
	letter-spacing: 1px;
	border-bottom: double #555;
}
.policyPanel{
	
	padding: 2px;
	margin: 1px;
	border: 0px;
	border-color: white;
}
.gwtContainer{
	background-color: gray;
}
.myButton {
    -moz-box-shadow: 3px 4px 0px 0px #1564ad;
    -webkit-box-shadow: 3px 4px 0px 0px #1564ad;
    box-shadow: 3px 4px 0px 0px #1564ad;
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #79bbff), color-stop(1, #378de5));
    background:-moz-linear-gradient(top, #79bbff 5%, #378de5 100%);
    background:-webkit-linear-gradient(top, #79bbff 5%, #378de5 100%);
    background:-o-linear-gradient(top, #79bbff 5%, #378de5 100%);
    background:-ms-linear-gradient(top, #79bbff 5%, #378de5 100%);
    background:linear-gradient(to bottom, #79bbff 5%, #378de5 100%);
    background-color:#79bbff;
    -moz-border-radius:5px;
    -webkit-border-radius:5px;
    border-radius:5px;
    border:1px solid #337bc4;
    display:inline-block;
    cursor:pointer;
    color:#ffffff;
    font-family:Arial;
    font-size:17px;
    font-weight:bold;
   /*  padding:12px 44px; */
    text-decoration:none;
    text-shadow:0px 1px 0px #528ecc;
}

.statementSection{
	border-bottom-color: #79bbff;
	padding-bottom: 1em;
	border-bottom-style: double;
}



.myCellTable {
    border-bottom: 2px solid #6f7277;
    padding: 3px 15px;
    text-align: left;
    color: #337bc4;
    text-shadow: 1px 1px 0px #ddf;
    overflow: hidden;
    font-size: medium;
    background-color: #ffffff;
    font-family: Arial Unicode MS, Arial, sans-serif;
    align-content: center;
}

	
.gwt-TextBox {
    padding: 2px;
    color: #337bc4;
}

.myTextBox{
	padding: 2px;
    color: #337bc4;
}

.gwt-Tree .gwt-TreeItem {
    padding: 1px 0px;
    margin: 0px;
    white-space: nowrap;
    cursor: hand;
    cursor: pointer;
    color: #337bc4;
}

.gwt-ListBox {
    margin-legt: 0em;
    margin-right: 1em;
    color: #337bc4;
}

.gwt-DisclosurePanel .header, .gwt-DisclosurePanel .header a, .gwt-DisclosurePanel .header td {
    text-decoration: line-through;
    color: #ffffff;
    cursor: pointer;
    cursor: hand;
}

.gwt-ToggleButton-up {
    border: 1px outset #ccc;
    cursor: pointer;
    cursor: hand;
    color: #337bc4;
    margin:20px;
}
.gwt-TextArea {
    padding: 2px;
    color: #337bc4;
    border: #337bc4 solid 1px;
    background: rgba(255,255,255.9);
}


.gwt-DialogBox .Caption {
    background: #ffffff url(images/hborder.png) repeat-x 0px -2003px;
    padding: 4px 4px 4px 8px;
    cursor: default;
    border-bottom: 1px solid #ffffff;
    border-top: 5px solid #ffffff;
    color: #ffffff;
    font-weight: bold;
}

.mypanel {
    margin-left: 40em;
    background-color: azure;
}

.infoLabel{
   font-size: 100%; 
   font-weight: bold;
   color:#4b4a4a;
   padding:5px;
   margin:5px;
  
  }
  
.myRadioButton {
    color: #337bc4;
    font-family: Arial, sans-serif;
    font-size: 14px;
    font-weight: bold;
}

.myEnterButton {
    -moz-box-shadow: 3px 4px 0px 0px #1564ad;
    -webkit-box-shadow: 3px 4px 0px 0px #1564ad;
    box-shadow: 3px 4px 0px 0px #1564ad;
    background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #79bbff), color-stop(1, #378de5));
    background:-moz-linear-gradient(top, #79bbff 5%, #378de5 100%);
    background:-webkit-linear-gradient(top, #79bbff 5%, #378de5 100%);
    background:-o-linear-gradient(top, #79bbff 5%, #378de5 100%);
    background:-ms-linear-gradient(top, #79bbff 5%, #378de5 100%);
    background:linear-gradient(to bottom, #79bbff 5%, #378de5 100%);
    background-color:#79bbff;
    -moz-border-radius:5px;
    -webkit-border-radius:5px;
    border-radius:5px;
    border:1px solid #337bc4;
    display:inline-block;
    cursor:pointer;
    color:#ffffff;
    font-family:Arial;
    font-size:17px;
    font-weight:bold;
   /*  padding:12px 44px; */
    text-decoration:none;
    text-shadow:0px 1px 0px #528ecc;
    margin-left:  6em;
}

.italicFont{
   font-size: 90%; 
   font-weight: bold;
   font-style: italic;
   color:#4b4a4a;
   padding:5px;
   margin:5px;
   background-color: #FFFF00;
}

.customCheckBox {
  width: 28px;
  height: 28px;
  position: relative;
  margin: 20px auto;
  background: #337bc4;
  padding: 1px;
  background: linear-gradient(top, #fcfff4 0%, #dfe5d7 40%, #b3bead 100%);
  box-shadow: inset 0px 1px 1px white, 0px 1px 3px rgba(0,0,0,0.5);
  label {
    width: 20px;
    height: 20px;
    cursor: pointer;
    position: absolute;
    left: 4px;
    top: 4px;
    background: linear-gradient(top, #222 0%, #45484d 100%);
    box-shadow: inset 0px 1px 1px rgba(0,0,0,0.5), 0px 1px 0px rgba(255,255,255,1);
    &:after {
      content: '';
      width: 9px;
      height: 5px;
      position: relative; 
      top: 4px;
      left: 4px;
      border: 3px solid #fcfff4;
      border-top: none;
      border-right: none;
      background: transparent;
      opacity: 0;
      transform: rotate(-45deg);
    }
    &:hover::after {
      opacity: 0.3;
    }
  }
  input[type=checkbox] {
    visibility: hidden;
    &:checked + label:after {
      opacity: 1;
    width: 1em;
    }    
  }
}


/* gwt-bootstrap style */

.myLabel {
    display: inline;
    padding: .2em .6em .3em;
    font-size: 100%;
    font-weight: 700;
    line-height: 1;
    color: darkblue;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
    background-color: cornflowerBlue;
    padding: 0.25em;
}

.myTr{
	padding: 0.3em;
	
}

.myTextArea {
    width: 300px;
    height: 150px;
}

 .my-gwt-DisclosurePanel .content {
    border: 1px solid #337bc4;
    padding: 10px 10px 10px 10px;
    margin-left: 6px;
    background-color: rgba(255,255,255,.9);
}


.gwt-DecoratorPanel {
	margin-left: 25em;
	margin-right: 14em;	
	background: rgba(255,255,255,.9);
	position: relative;
}


.gwt-DecoratorPanel .topLeftInner,
.gwt-DecoratorPanel .topRightInner,
.gwt-DecoratorPanel .bottomLeftInner,
.gwt-DecoratorPanel .bottomRightInner {
  width: 5px;
  height: 5px;
  zoom: 1;
}

.loginPanel{
	background: rgba(255,255,255,.9);
}

.userInfo{
    padding: 3px;
    text-align: left;
    color: #ffffff;
    margin: 5px;
    font-weight: bold;
    font-size: 100%;
}

.gwt-DialogBox .Caption {
    background: #ffffff url(images/hborder.png) repeat-x 0px -2003px;
    padding: 4px 4px 4px 8px;
    cursor: default;
    border-bottom: 1px solid #ffffff;
    border-top: 5px solid #ffffff;
    color: #337bc4;
    font-weight: bold;
}

.required:after {
    color: red;
    content: '*';
    
}

.required{   
    padding: 3px;
    text-align: left;
    color: #337bc4; 
    margin: 5px;
    font-weight: bold;
    font-size: 15px;
    font-family: Open Sans, sans-serif;
}

.internal-gwt-DisclosurePanel .content {
    padding: 10px 10px 10px 10px;
    margin-left: 6px;
    margin-top: 10px;
    background-color: rgba(255,255,255,.9);
}

.addButton{
	background-image: url("add.jpg") ;
    background-repeat:  no-repeat;
    height: 20px;
    width:      20px;
}

.num-TextBox {
    padding: 2px;
    max-width: 75px;
    color: #337bc4;
}


}